import request from '@/utils/request'

export function getStructureUserByFuzzy(query) {
    return request({
        url: '/app/common/getStructureUserByFuzzy',
        method: 'get',
        params: query
    })
}

export function getStructureUserSuperior(query) {
    return request({
        url: '/app/common/getStructureUserSuperior',
        method: 'get',
        params: query
    })
}

export function getSubToTreeByIbId(query) {
    return request({
        url: '/app/common/getSubToTreeByIbId',
        method: 'get',
        params: query
    })
}

export function getSubToTreeBySalesman(query) {
    return request({
        url: '/app/common/getSubToTreeBySalesman',
        method: 'get',
        params: query
    })
}

export function getSalesmanToTree(query) {
    return request({
        url: '/app/common/getSalesmanToTree',
        method: 'get',
        params: query
    })
}

export function getOrgToTree(query) {
    return request({
        url: '/app/common/getOrgToTree',
        method: 'get',
        params: query
    })
}
